with System;

with Dining_Philosophers;

procedure Main is
   pragma Priority (System.Priority'First);
   Suspension_Interval : constant Duration := 3.0;
begin
   loop
      --  we periodically check if any philopher had died
      --+ (erroneously) while the others kept executing
      for I in 1 .. 4 loop
         Dining_Philosophers.Status_Check (I);
         --  pausing a little in between
         delay Suspension_Interval;
      end loop;
   end loop;
end Main;
